## libinput 1.15.5

=== meson_options.txt ===
option('udev-dir',
       type: 'string',
       value: '',
       description: 'udev base directory [default=$prefix/lib/udev]')
option('epoll-dir',
       type: 'string',
       value: '',
       description: 'libepoll-shim base directory (for non-Linux OS) [default=$prefix]')
option('libwacom',
       type: 'boolean',
       value: true,
       description: 'Use libwacom for tablet identification (default=true)')
option('debug-gui',
       type: 'boolean',
       value: true,
       description: 'Enable the "debug-gui" feature in the libinput tool [default=true]')
option('tests',
       type: 'boolean',
       value: true,
       description: 'Build the tests [default=true]')
option('install-tests',
       type: 'boolean',
       value: false,
       description: 'Install the libinput test command [default=false]')
option('documentation',
       type: 'boolean',
       value: true,
       description: 'Build the documentation [default=true]')
option('coverity',
       type: 'boolean',
       value: false,
       description: 'Enable coverity build fixes, see meson.build for details [default=false]')
option('zshcompletiondir',
       type: 'string',
       value: '',
       description: 'Directory for zsh completion scripts ["no" disables]')

=== debian/changelog ===
libinput (1.15.5-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Tue, 09 Jun 2020 17:41:57 -0400

libinput (1.15.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 14 Apr 2020 17:54:11 +0300

libinput (1.15.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 18 Mar 2020 08:25:11 +0200

=== debian/control ===
Source: libinput
Section: libs
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Héctor Orón Martínez <zumbi@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 meson,
 pkg-config,
 libmtdev-dev (>= 1.1.0),
 libudev-dev,
 libevdev-dev (>= 0.4),
 libwacom-dev (>= 0.20),
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/xorg-team/lib/libinput.git
Vcs-Browser: https://salsa.debian.org/xorg-team/lib/libinput
Homepage: http://www.freedesktop.org/wiki/Software/libinput/

Package: libinput10
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libinput-bin (>= ${binary:Version}),
Description: input device management and event handling library - shared library
 libinput is a library that handles input devices for display servers and
 other applications that need to directly deal with input devices.
 .
 It provides device detection, device handling, input device event
 processing and abstraction to minimize the amount of custom input
 code the user of libinput needs to provide the common set of
 functionality that users expect.
 .
 This package includes the shared library.

Package: libinput-bin
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: input device management and event handling library - udev quirks
 libinput is a library that handles input devices for display servers and
 other applications that need to directly deal with input devices.
 .
 It provides device detection, device handling, input device event
 processing and abstraction to minimize the amount of custom input
 code the user of libinput needs to provide the common set of
 functionality that users expect.
 .
 This package includes the udev quirks database and helpers.

Package: libinput10-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: input device management and event handling library - shared library
 This is a udeb, or a microdeb, for the debian-installer.

Package: libinput-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libinput10 (= ${binary:Version}),
 libmtdev-dev (>= 1.1.0),
 libudev-dev,
 libevdev-dev (>= 0.4),
 libwacom-dev (>= 0.20),
 ${shlibs:Depends},
 ${misc:Depends},
Description: input device management and event handling library - development files
 libinput is a library that handles input devices for display servers and
 other applications that need to directly deal with input devices.
 .
 It provides device detection, device handling, input device event
 processing and abstraction to minimize the amount of custom input
 code the user of libinput needs to provide the common set of
 functionality that users expect.
 .
 This package includes the development headers.

Package: libinput-tools
Section: libdevel
Architecture: any
Multi-Arch: allowed
Depends:
 libinput10 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
 python3,
 python3-libevdev,
 python3-pyudev,
Description: input device management and event handling library - command line tools
 libinput is a library that handles input devices for display servers and
 other applications that need to directly deal with input devices.
 .
 It provides device detection, device handling, input device event
 processing and abstraction to minimize the amount of custom input
 code the user of libinput needs to provide the common set of
 functionality that users expect.
 .
 This package includes the command line tools.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -- \
		-Ddebug-gui=false \
		-Ddocumentation=false \
		-Dtests=false \
		-Dudev-dir=/lib/udev

override_dh_install:
	find debian/tmp -name '*.la' -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -plibinput10 -V --add-udeb="libinput10-udeb" -- -c4

override_dh_clean:
	rm -f doc/doxygen_sqlite3.db
	dh_clean
	
override_dh_strip:
	dh_strip --no-automatic-dbgsym

%:
	dh $@

## libinput 1.16.1

=== debian/changelog ===
libinput (1.16.1-1~mx19ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 16 Sep 2020 15:54:34 -0400

libinput (1.16.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 14 Aug 2020 10:14:22 +0300

libinput (1.16.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump policy to 4.5.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 03 Aug 2020 10:37:57 +0300

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libudev-dev,
  libevdev-dev (>= 0.4),
  libwacom-dev (>= 0.20),
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/libinput.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/lib/libinput
 Homepage: http://www.freedesktop.org/wiki/Software/libinput/

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -20,9 +23,6 @@
 override_dh_clean:
 	rm -f doc/doxygen_sqlite3.db
 	dh_clean
-	
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
 
 %:
 	dh $@

## libinput 1.16.2

=== debian/changelog ===
libinput (1.16.2-1ubuntu0.1) groovy; urgency=medium

  * quirks: Unset INPUT_PROP_BUTTONPAD for Dell Precision 7550/7750.
    (LP: #1906341)
  * Update control build-dep libevdev-dev (>= 1.9.1+dfsg-1ubuntu0.1) for
    libevdev_disable_property API

 -- Kai-Chuan Hsieh <kaichuan.hsieh@canonical.com>  Thu, 03 Dec 2020 16:35:46 +0100

libinput (1.16.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 07 Oct 2020 09:16:00 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libinput
 Section: libs
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Héctor Orón Martínez <zumbi@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
@@ -10,7 +9,7 @@
  pkg-config,
  libmtdev-dev (>= 1.1.0),
  libudev-dev,
- libevdev-dev (>= 0.4),
+ libevdev-dev (>= 1.9.1+dfsg-1ubuntu0.1),
  libwacom-dev (>= 0.20),
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/libinput.git
@@ -72,7 +71,7 @@
  libinput10 (= ${binary:Version}),
  libmtdev-dev (>= 1.1.0),
  libudev-dev,
- libevdev-dev (>= 0.4),
+ libevdev-dev (>= 1.9.1+dfsg-1ubuntu0.1),
  libwacom-dev (>= 0.20),
  ${shlibs:Depends},
  ${misc:Depends},

## libinput 1.16.4

=== debian/changelog ===
libinput (1.16.4-3) unstable; urgency=medium

  * rules: Fix dh_auto_install to use separate destdir for main/udeb builds.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Dec 2020 18:20:15 +0200

libinput (1.16.4-2) unstable; urgency=medium

  * rules: Drop libwacom support from the udeb.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Dec 2020 17:27:17 +0200

libinput (1.16.4-1) unstable; urgency=medium

  * control, rules: Enable building debug-gui and tests, add check and
    libgtk-3-dev to build-depends. (Closes: #975528)
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 27 Nov 2020 15:16:54 +0200

libinput (1.16.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 12 Nov 2020 13:56:26 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,11 @@
  debhelper-compat (= 12),
  meson,
  pkg-config,
+ check,
+ libgtk-3-dev,
  libmtdev-dev (>= 1.1.0),
  libudev-dev,
- libevdev-dev (>= 1.9.1+dfsg-1ubuntu0.1),
+ libevdev-dev (>= 0.4),
  libwacom-dev (>= 0.20),
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/libinput.git
@@ -71,7 +73,7 @@
  libinput10 (= ${binary:Version}),
  libmtdev-dev (>= 1.1.0),
  libudev-dev,
- libevdev-dev (>= 1.9.1+dfsg-1ubuntu0.1),
+ libevdev-dev (>= 0.4),
  libwacom-dev (>= 0.20),
  ${shlibs:Depends},
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -B build-deb -- \
		-Ddocumentation=false \
		-Dudev-dir=/lib/udev

	dh_auto_configure -B build-udeb -- \
		-Ddocumentation=false \
		-Dudev-dir=/lib/udev \
		-Dlibwacom=false

override_dh_auto_build:
	dh_auto_build -B build-deb
	dh_auto_build -B build-udeb

override_dh_auto_install:
	dh_auto_install -B build-deb --destdir=debian/tmp/main
	dh_auto_install -B build-udeb --destdir=debian/tmp/udeb

override_dh_install:
	find debian/tmp -name '*.la' -delete
	dh_install -plibinput10-udeb --sourcedir=debian/tmp/udeb
	dh_install --remaining-packages --sourcedir=debian/tmp/main

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -plibinput10 -V --add-udeb="libinput10-udeb" -- -c4

override_dh_clean:
	rm -f doc/doxygen_sqlite3.db
	dh_clean

%:
	dh $@

## libinput 1.18.1

=== debian/changelog ===
libinput (1.18.1-1~mx21ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 11 Aug 2021 17:17:48 -0400

libinput (1.18.1-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 10 Aug 2021 14:23:36 +0300

libinput (1.18.0-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Jun 2021 12:12:04 +0300

libinput (1.17.2-1) experimental; urgency=medium

  * New upstream release.
  * Allow to build without the udeb package.
  * Update control build-dep libevdev-dev (>= 1.10.0) for
    libevdev_disable_property API.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 03 May 2021 11:43:43 +0300

## libinput 1.19.1

=== debian/changelog ===
libinput (1.19.1-1~mx21ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 07 Oct 2021 11:16:33 -0400

libinput (1.19.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #993733)
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 28 Sep 2021 12:23:05 +0300

## libinput 1.19.3

=== debian/changelog ===
libinput (1.19.3-1~mx21ahs+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21 AHS.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 31 Jan 2022 16:11:09 -0500

libinput (1.19.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 14 Jan 2022 13:24:24 +0200

libinput (1.19.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 27 Oct 2021 10:38:27 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libinput
 Section: libs
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Héctor Orón Martínez <zumbi@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
@@ -11,7 +12,7 @@
  libgtk-3-dev,
  libmtdev-dev (>= 1.1.0),
  libudev-dev,
- libevdev-dev (>= 0.4),
+ libevdev-dev (>= 1.10.0),
  libwacom-dev (>= 0.20),
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/libinput.git
@@ -57,6 +58,7 @@
 
 Package: libinput10-udeb
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Section: debian-installer
 Architecture: any
 Depends:
@@ -73,7 +75,7 @@
  libinput10 (= ${binary:Version}),
  libmtdev-dev (>= 1.1.0),
  libudev-dev,
- libevdev-dev (>= 0.4),
+ libevdev-dev (>= 1.10.0),
  libwacom-dev (>= 0.20),
  ${shlibs:Depends},
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -1,26 +1,38 @@
 #!/usr/bin/make -f
+
+ifeq (,$(filter noudeb, $(DEB_BUILD_PROFILES)))
+  with_udeb = yes
+endif
 
 override_dh_auto_configure:
 	dh_auto_configure -B build-deb -- \
 		-Ddocumentation=false \
 		-Dudev-dir=/lib/udev
 
+ifeq ($(with_udeb),yes)
 	dh_auto_configure -B build-udeb -- \
 		-Ddocumentation=false \
 		-Dudev-dir=/lib/udev \
 		-Dlibwacom=false
+endif
 
 override_dh_auto_build:
 	dh_auto_build -B build-deb
+ifeq ($(with_udeb),yes)
 	dh_auto_build -B build-udeb
+endif
 
 override_dh_auto_install:
 	dh_auto_install -B build-deb --destdir=debian/tmp/main
+ifeq ($(with_udeb),yes)
 	dh_auto_install -B build-udeb --destdir=debian/tmp/udeb
+endif
 
 override_dh_install:
 	find debian/tmp -name '*.la' -delete
+ifeq ($(with_udeb),yes)
 	dh_install -plibinput10-udeb --sourcedir=debian/tmp/udeb
+endif
 	dh_install --remaining-packages --sourcedir=debian/tmp/main
 
 override_dh_missing:
@@ -33,5 +45,8 @@
 	rm -f doc/doxygen_sqlite3.db
 	dh_clean
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 %:
 	dh $@

=== debian/watch ===
#git=https://gitlab.freedesktop.org/libinput/libinput.git
version=3
opts=pgpsigurlmangle=s/$/.sig/,dversionmangle=s/\+dfsg\d*$// \
http://www.freedesktop.org/software/libinput/libinput-(.*)\.tar\.xz

## libinput 1.20.0

=== debian/changelog ===
libinput (1.20.0-1ubuntu0.3) jammy; urgency=medium

  * Disable pressure for Precision5680 2nd source touchpad (LP: #2023623)
    - d/p/0001-quirks-Dell-Mayabay-Pressure-Pad.patch

 -- Kai-Chuan Hsieh <kaichuan.hsieh@canonical.com>  Tue, 13 Jun 2023 13:59:01 +0800

libinput (1.20.0-1ubuntu0.2) jammy; urgency=medium

  * Disable pressure for not detecting contact size (LP: #2002609)
    - d/p/0001-quirks-add-quirks-for-Dell-Precision5680-Touchpad.patch
      Disable the pressure handling for the touchpad.

 -- Kai-Chuan Hsieh <kaichuan.hsieh@canonical.com>  Thu, 12 Jan 2023 14:58:22 +0800

libinput (1.20.0-1ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Format string vulnerability
    - d/p/0001-evdev-strip-the-device-name-of-format-directives.patch:
      Cleanup device name to ensure format string directives are
      neutralised when logging in src/evdev.c. Based on upstream patch.
    - CVE-2022-1215

 -- Alex Murray <alex.murray@canonical.com>  Thu, 21 Apr 2022 09:18:57 +0930

libinput (1.20.0-1) unstable; urgency=medium

  * New upstream release.
  * watch: Updated to use gitlab tags, though signing checks had to be
    disabled.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 22 Feb 2022 15:24:35 +0200

libinput (1.19.3-2) unstable; urgency=medium

  * Rebuild against new libwacom.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 07 Feb 2022 09:58:05 +0200

=== debian/rules ===
--- 
+++ 
@@ -45,8 +45,5 @@
 	rm -f doc/doxygen_sqlite3.db
 	dh_clean
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 %:
 	dh $@

## libinput 1.21.0

=== debian/changelog ===
libinput (1.21.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/libinput10.symbols: update
  * debian/rules: improve clean target

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 23 Jun 2022 01:07:16 +0200

libinput (1.20.1-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2020-1215

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Apr 2022 10:02:34 +0300

=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,7 @@
 
 override_dh_clean:
 	rm -f doc/doxygen_sqlite3.db
+	rm -rf build-deb build-udeb
 	dh_clean
 
 %:

## libinput 1.22.1

=== debian/changelog ===
libinput (1.22.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

  [ Marius Gripsgard ]
  * New upstream release v1.22.1

 -- Marius Gripsgard <marius@ubports.com>  Wed, 25 Jan 2023 15:46:49 +0100

libinput (1.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 22 Nov 2022 14:10:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: libinput
 Section: libs
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Héctor Orón Martínez <zumbi@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  meson,
  pkg-config,
  check,
@@ -14,10 +13,10 @@
  libudev-dev,
  libevdev-dev (>= 1.10.0),
  libwacom-dev (>= 0.20),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/libinput.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/lib/libinput
-Homepage: http://www.freedesktop.org/wiki/Software/libinput/
+Homepage: https://www.freedesktop.org/wiki/Software/libinput/
 
 Package: libinput10
 Architecture: any

=== debian/watch ===
#git=https://gitlab.freedesktop.org/libinput/libinput.git
version=4
opts=dversionmangle=s/\+dfsg\d*$// \
https://gitlab.freedesktop.org/libinput/libinput/tags?sort=updated_desc archive/@ANY_VERSION@/libinput-\d\S*.gz

## libinput 1.23.0

=== debian/changelog ===
libinput (1.23.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * tools: Remove references to LIBINPUT_QUIRKS_SRCDIR. (Closes: #995809)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Wed, 06 Dec 2023 15:10:33 -0800

libinput (1.23.0-2) unstable; urgency=medium

  * debian/control:
    + Update standards version to 4.6.2, no changes needed.
    + Add myself to uploaders
  * doc/html is no longer included in source tarball, drop exclude
    of non existing doc/html path
  * Upstream no longer sign releases, drop signing-key

 -- Marius Gripsgard <marius@ubports.com>  Wed, 14 Jun 2023 02:30:14 +0200

libinput (1.23.0-1) unstable; urgency=medium

  * New upstream release v1.23.0
  * Update symbols to match upstream release

 -- Marius Gripsgard <marius@ubports.com>  Wed, 31 May 2023 17:46:49 +0200

## libinput 1.25.0

=== debian/changelog ===
libinput (1.25.0-1ubuntu3.2) noble; urgency=medium

  [Cyrus Lien]
  * Fix built-in volume button could not change the volume on Dell Pro Rugged
    tablet (LP: #2127963)
    d/p/0001-quirks-add-quirks-for-Dell-Pro-Rugged-tablets-for-vo.patch

  [Tony Hsiao]
  * Add Dell laptop touchpad quirks (LP: #2130298)
    d/p/0006-quirks-add-Dell-laptop-touchpad-quirks.patch
    d/p/0007-quirks-add-quirks-for-Dell-laptop-with-Sensel-Touchp.patch

 -- Tony Hsiao <tony.hsiao@canonical.com>  Fri, 31 Oct 2025 09:20:55 +0800

libinput (1.25.0-1ubuntu3.1) noble; urgency=medium

  * Correct ThinkPad X9-15 Gen1 Touchpad Functionality (LP: #2108966)
    d/p/0001-quirks-set-pressure-pad-for-ThinkPad-X9-15-Gen-1-For.patch

 -- Atlas Yu <atlas.yu@canonical.com>  Thu, 24 Apr 2025 12:38:11 +0800

libinput (1.25.0-1ubuntu3) noble; urgency=medium

  * Disable pressure event for Dell haptic touchpads (LP: #2095464)
    d/p/0001-quirks-add-quirk-for-Dell-Haptics-Touchpad.patch
    d/p/0001-quirks-add-quirks-for-Dell-laptop-with-Goodix-Touchp.patch

 -- Kai-Chuan Hsieh <kaichuan.hsieh@canonical.com>  Thu, 13 Feb 2025 09:17:20 +0100

libinput (1.25.0-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:50:23 +0000

libinput (1.25.0-1ubuntu1) noble; urgency=medium

  * Backport a patch from upstream to fix disable touchpad
    when typing on Framework 16 (LP: #2058604)

 -- Mario Limonciello <superm1@gmail.com>  Tue, 26 Mar 2024 13:55:28 -0500

libinput (1.25.0-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:24:54 +0000

libinput (1.25.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 05 Feb 2024 14:20:23 +0200

=== debian/rules ===
--- 
+++ 
@@ -35,9 +35,6 @@
 endif
 	dh_install --remaining-packages --sourcedir=debian/tmp/main
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 override_dh_makeshlibs:
 	dh_makeshlibs -plibinput10 -V --add-udeb="libinput10-udeb" -- -c4

=== debian/watch ===
#git=https://gitlab.freedesktop.org/libinput/libinput.git
version=4
https://gitlab.freedesktop.org/libinput/libinput/tags?sort=updated_desc archive/@ANY_VERSION@/libinput-\d\S*.gz

## libinput 1.26.0

=== debian/changelog ===
libinput (1.26.0-1deepin3) unstable; urgency=medium

  * Add patch fix the "Force pads" on ThinkBook 14+ G6 IMH

 -- xiangzelong <xiangzelong@deepin.org>  Thu, 28 Nov 2024 15:20:59 +0800

libinput (1.26.0-1deepin2) UNRELEASED; urgency=medium

  * Backport a patch to fix the "Force Pads" on ThinkBook 14+ G6/G7+.
  * Ref: https://gitlab.freedesktop.org/libinput/libinput/-/merge_requests/1079

 -- Mingcong Bai <baimingcong@uniontech.com>  Tue, 19 Nov 2024 10:24:27 +0800

libinput (1.26.0-1deepin1) unstable; urgency=medium

  * Backport a patch to fix unreliable touchpad on HONOR MagicBook Art 14.
  * Ref: https://gitlab.freedesktop.org/libinput/libinput/-/merge_requests/1053

 -- Mingcong Bai <baimingcong@uniontech.com>  Mon, 23 Sep 2024 16:59:13 +0800

libinput (1.26.0-1) unstable; urgency=medium

  * New upstream release.
  * watch: Updated.
  * symbols: Updated.
  * rules, install: Install udev files under /usr. (Closes: #1064396)
  * control: Migrate to pkgconf.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 11 Jun 2024 13:49:02 +0300

## libinput 1.26.2

=== debian/changelog ===
libinput (1.26.2-1ubuntu0.24.10.2) oracular; urgency=medium

  * Correct ThinkPad X9-15 Gen1 Touchpad Functionality (LP: #2108966)
    d/p/0001-quirks-set-pressure-pad-for-ThinkPad-X9-15-Gen-1-For.patch

 -- Atlas Yu <atlas.yu@canonical.com>  Thu, 24 Apr 2025 13:44:57 +0800

libinput (1.26.2-1ubuntu0.24.10.1) oracular; urgency=medium

  * Disable pressure event for Dell haptic touchpads (LP: #2095464)
    d/p/0001-quirks-add-quirk-for-Dell-Haptics-Touchpad.patch
    d/p/0001-quirks-add-quirks-for-Dell-laptop-with-Goodix-Touchp.patch

 -- Kai-Chuan Hsieh <kaichuan.hsieh@canonical.com>  Thu, 13 Feb 2025 13:50:15 +0800

libinput (1.26.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 28 Sep 2024 10:13:18 +0300

## libinput 1.27.1

=== debian/changelog ===
libinput (1.27.1-1ubuntu0.2) plucky; urgency=medium

  [Cyrus Lien]
  * Fix built-in volume button could not change the volume on Dell Pro Rugged
    tablet (LP: #2127963)
    d/p/0001-quirks-add-quirks-for-Dell-Pro-Rugged-tablets-for-vo.patch

  [Tony Hsiao]
  * Add Dell laptop touchpad quirks (LP: #2130298)
    d/p/0003-quirks-add-Dell-laptop-touchpad-quirks.patch
    d/p/0004-quirks-add-quirks-for-Dell-laptop-with-Sensel-Touchp.patch

 -- Tony Hsiao <tony.hsiao@canonical.com>  Thu, 30 Oct 2025 15:34:16 +0800

libinput (1.27.1-1ubuntu0.1) plucky; urgency=medium

  * Correct ThinkPad X9-15 Gen1 Touchpad Functionality (LP: #2108966)
    d/p/0001-quirks-set-pressure-pad-for-ThinkPad-X9-15-Gen-1-For.patch

 -- Atlas Yu <atlas.yu@canonical.com>  Thu, 24 Apr 2025 14:01:48 +0800

libinput (1.27.1-1) unstable; urgency=medium

  * New upstream release.
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 13 Feb 2025 10:20:47 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,12 @@
 override_dh_auto_configure:
 	dh_auto_configure -B build-deb -- \
 		-Ddocumentation=false \
-		-Dudev-dir=/lib/udev
+		-Dudev-dir=/usr/lib/udev
 
 ifeq ($(with_udeb),yes)
 	dh_auto_configure -B build-udeb -- \
 		-Ddocumentation=false \
-		-Dudev-dir=/lib/udev \
+		-Dudev-dir=/usr/lib/udev \
 		-Dlibwacom=false
 endif

## libinput 1.28.0

=== debian/changelog ===
libinput (1.28.0-1) unstable; urgency=medium

  * New upstream release.
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 27 Mar 2025 11:05:52 +0200

## libinput 1.28.1

=== meson_options.txt ===
--- 
+++ 
@@ -24,8 +24,8 @@
        description: 'Install the libinput test command [default=false]')
 option('documentation',
        type: 'boolean',
-       value: true,
-       description: 'Build the documentation [default=true]')
+       value: false,
+       description: 'Build the documentation [default=false]')
 option('coverity',
        type: 'boolean',
        value: false,
@@ -34,3 +34,7 @@
        type: 'string',
        value: '',
        description: 'Directory for zsh completion scripts ["no" disables]')
+option('internal-event-debugging',
+	type: 'boolean',
+	value: false,
+	description: 'Enable additional internal event debug tracing. This will print key values to the logs and thus must never be enabled in a release build')

=== debian/changelog ===
libinput (1.28.1-1ubuntu2) resolute; urgency=medium

  * Add Dell laptop touchpad quirks (LP: #2130298)
    d/p/0003-quirks-add-Dell-laptop-touchpad-quirks.patch
    d/p/0004-quirks-add-quirks-for-Dell-laptop-with-Sensel-Touchp.patch

 -- Tony Hsiao <tony.hsiao@canonical.com>  Thu, 30 Oct 2025 16:11:45 +0800

libinput (1.28.1-1ubuntu1) resolute; urgency=medium

  * Fix built-in volume button could not change the volume on Dell Pro Rugged
    tablet (LP: #2127963)
    d/p/0001-quirks-add-quirks-for-Dell-Pro-Rugged-tablets-for-vo.patch

 -- Cyrus Lien <cyrus.lien@canonical.com>  Thu, 23 Oct 2025 00:28:09 +0800

libinput (1.28.1-1build1) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 05 Sep 2025 17:52:35 +0000

libinput (1.28.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 03 Apr 2025 15:47:30 +0300

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: libinput
 Section: libs
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Héctor Orón Martínez <zumbi@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>,
+           Héctor Orón Martínez <zumbi@debian.org>,
+           Marius Gripsgard <marius@ubports.com>
 Build-Depends:
  debhelper-compat (= 13),
  meson,
- pkg-config,
+ pkgconf,
  check,
  libgtk-3-dev,
  libmtdev-dev (>= 1.1.0),
  libudev-dev,
  libevdev-dev (>= 1.10.0),
  libwacom-dev (>= 0.20),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/libinput.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/lib/libinput
 Homepage: https://www.freedesktop.org/wiki/Software/libinput/

=== debian/watch ===
#git=https://gitlab.freedesktop.org/libinput/libinput.git
version=4
opts="searchmode=plain" \
 https://gitlab.freedesktop.org/libinput/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@\.tar\.gz

## libinput 1.29.0

=== debian/changelog ===
libinput (1.29.0-0zneon+24.04+noble+stable+build4) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 12 Aug 2025 08:29:06 +0000

libinput (1.29.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 12 Aug 2025 18:18:39 +1000

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,31 @@
 Source: libinput
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>,
            Héctor Orón Martínez <zumbi@debian.org>,
            Marius Gripsgard <marius@ubports.com>
-Build-Depends:
- debhelper-compat (= 13),
- meson,
- pkgconf,
- check,
- libgtk-3-dev,
- libmtdev-dev (>= 1.1.0),
- libudev-dev,
- libevdev-dev (>= 1.10.0),
- libwacom-dev (>= 0.20),
+Build-Depends: check,
+               debhelper-compat (= 13),
+               libevdev-dev (>= 1.10.0),
+               libgtk-3-dev,
+               libmtdev-dev (>= 1.1.0),
+               libudev-dev,
+               libwacom-dev (>= 0.20),
+               meson,
+               pkgconf
 Standards-Version: 4.6.2
-Vcs-Git: https://salsa.debian.org/xorg-team/lib/libinput.git
-Vcs-Browser: https://salsa.debian.org/xorg-team/lib/libinput
 Homepage: https://www.freedesktop.org/wiki/Software/libinput/
+Vcs-Git: https://invent.kde.org/neon/backports-noble/libinput-noble.git
+Vcs-Browser: https://invent.kde.org/neon/backports-noble/libinput-noble
+Maintainer: Neon CI <neon@kde.org>
 
 Package: libinput10
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
- libinput-bin (>= ${binary:Version}),
+Depends: libinput-bin (>= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: input device management and event handling library - shared library
  libinput is a library that handles input devices for display servers and
  other applications that need to directly deal with input devices.
@@ -44,9 +41,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: foreign
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: input device management and event handling library - udev quirks
  libinput is a library that handles input devices for display servers and
  other applications that need to directly deal with input devices.
@@ -63,9 +58,7 @@
 Build-Profiles: <!noudeb>
 Section: debian-installer
 Architecture: any
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: input device management and event handling library - shared library
  This is a udeb, or a microdeb, for the debian-installer.
 
@@ -73,14 +66,13 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends:
- libinput10 (= ${binary:Version}),
- libmtdev-dev (>= 1.1.0),
- libudev-dev,
- libevdev-dev (>= 1.10.0),
- libwacom-dev (>= 0.20),
- ${shlibs:Depends},
- ${misc:Depends},
+Depends: libevdev-dev (>= 1.10.0),
+         libinput10 (= ${binary:Version}),
+         libmtdev-dev (>= 1.1.0),
+         libudev-dev,
+         libwacom-dev (>= 0.20),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: input device management and event handling library - development files
  libinput is a library that handles input devices for display servers and
  other applications that need to directly deal with input devices.
@@ -96,13 +88,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: allowed
-Depends:
- libinput10 (= ${binary:Version}),
- ${shlibs:Depends},
- ${misc:Depends},
- python3,
- python3-libevdev,
- python3-pyudev,
+Depends: libinput10 (= ${binary:Version}),
+         python3,
+         python3-libevdev,
+         python3-pyudev,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: input device management and event handling library - command line tools
  libinput is a library that handles input devices for display servers and
  other applications that need to directly deal with input devices.

## libinput 1.30.0

=== meson_options.txt ===
--- 
+++ 
@@ -10,6 +10,10 @@
        type: 'boolean',
        value: true,
        description: 'Use libwacom for tablet identification (default=true)')
+option('mtdev',
+       type: 'boolean',
+       value: true,
+       description: 'Use mtdev for multitouch protocol A devices (default=true)')
 option('debug-gui',
        type: 'boolean',
        value: true,
@@ -38,3 +42,11 @@
 	type: 'boolean',
 	value: false,
 	description: 'Enable additional internal event debug tracing. This will print key values to the logs and thus must never be enabled in a release build')
+option('autoload-plugins',
+	type: 'boolean',
+	value: false,
+	description: 'Always load plugins from default plugin paths (only if the caller does not do so)')
+option('lua-plugins',
+	type: 'feature',
+	value: 'auto',
+	description: 'Enable support for Lua plugins')

=== debian/changelog ===
libinput (1.30.0-1) unstable; urgency=medium

  * New upstream release.
  * watch: Update to version 5.
  * patches: Refreshed.
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 25 Nov 2025 17:03:20 +0200

## libinput 1.30.1

=== debian/changelog ===
libinput (1.30.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 02 Feb 2026 08:51:31 +0200

=== debian/watch ===
Version: 5

Template: Gitlab
Dist: https://gitlab.freedesktop.org/libinput/libinput

## libinput 1.31.0

=== debian/changelog ===
libinput (1.31.0-1) unstable; urgency=medium

  * New upstream release.
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 18 Feb 2026 14:26:24 +0200
